## rtpklvpay rtpklvpay |

## Types and Values

struct | GstRtpKlvPay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstRTPBasePayload
                        ╰── GstRtpKlvPay

## Description

Payloads KLV metadata into RTP packets according to RFC 6597. For detailed information see: http://tools.ietf.org/html/rfc6597

### Example pipeline

    1
    gst-launch-1.0 filesrc location=video-with-klv.ts ! tsdemux ! rtpklvpay ! udpsink

This example pipeline will payload an RTP KLV stream extracted from an MPEG-TS stream and send it via UDP to an RTP receiver.

## Synopsis

### Element Information

plugin | rtp
author | Tim-Philipp Müller <tim@centricular.com>
class | Codec/Payloader/Network/RTP

### Element Pads

name | sink
direction | sink
presence | always
details | meta/x-klv, parsed=(boolean)true

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)application, clock-rate=(int)[ 1, 2147483647 ], encoding-name=(string)SMPTE336M

## Functions

## Types and Values

### struct GstRtpKlvPay

    struct GstRtpKlvPay;

## See Also

rtpklvdepay